Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.dom.events
Class EventSupport

    java.lang.Object
      org.apache.batik.dom.events.EventSupport

public class EventSupport
extends java.lang.Object

The class allows registration and removal of EventListeners on an NodeEventTarget and dispatch of events to that NodeEventTarget.

See Also:
  `NodeEventTarget`

Field Summary
`protected HashTable` | `bubblingListeners` The bubbling listeners table.
`protected HashTable` | `capturingListeners` The capturing listeners table.

Constructor Summary
`EventSupport()`

Method Summary
`void` | `addEventListener(java.lang.String type, org.w3c.dom.events.EventListener listener, boolean useCapture)` This method allows the registration of event listeners on the event target.
`static boolean` | `dispatchEvent(NodeEventTarget target, org.w3c.dom.events.Event e)` This method allows the dispatch of events into the implementations event model.
`EventListenerList` | `getEventListeners(java.lang.String type, boolean useCapture)` Returns a list event listeners depending on the specified event type and phase.
`void` | `removeEventListener(java.lang.String type, org.w3c.dom.events.EventListener listener, boolean useCapture)` This method allows the removal of event listeners from the event target.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### capturingListeners

    protected HashTable capturingListeners

  The capturing listeners table.

### bubblingListeners

    protected HashTable bubblingListeners

  The bubbling listeners table.

Constructor Detail

### EventSupport

    public EventSupport()

Method Detail

### addEventListener

    public void addEventListener(java.lang.String type,
                                 org.w3c.dom.events.EventListener listener,
                                 boolean useCapture)

  This method allows the registration of event listeners on the event target. If an `EventListener` is added to an `EventTarget` which is currently processing an event the new listener will not be triggered by the current event.
  If multiple identical `EventListener`s are registered on the same `EventTarget` with the same parameters the duplicate instances are discarded. They do not cause the `EventListener` to be called twice and since they are discarded they do not need to be removed with the `removeEventListener` method.

  Parameters:
    `type` - The event type for which the user is registering
    `listener` - The `listener` parameter takes an interface implemented by the user which contains the methods to be called when the event occurs.
    `useCapture` - If true, `useCapture` indicates that the user wishes to initiate capture. After initiating capture, all events of the specified type will be dispatched to the registered `EventListener` before being dispatched to any `EventTargets` beneath them in the tree. Events which are bubbling upward through the tree will not trigger an `EventListener` designated to use capture.

### removeEventListener

    public void removeEventListener(java.lang.String type,
                                    org.w3c.dom.events.EventListener listener,
                                    boolean useCapture)

  This method allows the removal of event listeners from the event target. If an `EventListener` is removed from an `EventTarget` while it is processing an event, it will complete its current actions but will not be triggered again during any later stages of event flow.
  If an `EventListener` is removed from an `EventTarget` which is currently processing an event the removed listener will still be triggered by the current event.
  Calling `removeEventListener` with arguments which do not identify any currently registered `EventListener` on the `EventTarget` has no effect.

  Parameters:
    `type` - Specifies the event type of the `EventListener` being removed.
    `listener` - The `EventListener` parameter indicates the `EventListener` to be removed.
    `useCapture` - Specifies whether the `EventListener` being removed was registered as a capturing listener or not. If a listener was registered twice, one with capture and one without, each must be removed separately. Removal of a capturing listener does not affect a non-capturing version of the same listener, and vice versa.

### dispatchEvent

    public static boolean dispatchEvent(NodeEventTarget target,
                                        org.w3c.dom.events.Event e)
                                 throws org.w3c.dom.events.EventException

  This method allows the dispatch of events into the implementations event model. Events dispatched in this manner will have the same capturing and bubbling behavior as events dispatched directly by the implementation. The target of the event is the `EventTarget` on which `dispatchEvent` is called.

  Parameters:
    `target` - the target node
  Returns:
    The return value of `dispatchEvent` indicates whether any of the listeners which handled the event called `preventDefault`. If `preventDefault` was called the value is false, else the value is true.
  Throws:
    `org.w3c.dom.events.EventException` - UNSPECIFIED_EVENT_TYPE_ERR: Raised if the `Event`'s type was not specified by initializing the event before `dispatchEvent` was called. Specification of the `Event`'s type as `null` or an empty string will also trigger this exception.

### getEventListeners

    public EventListenerList getEventListeners(java.lang.String type,
                                               boolean useCapture)

  Returns a list event listeners depending on the specified event type and phase.

  Parameters:
    `type` - the event type
    `useCapture` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 Apache Software Foundation. All Rights Reserved.